Debian Bug report logs - #653813
ITP: edgar -- The Legend of Edgar platform game

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joseph Nahmias <joe@nahmias.net>

Date: Sat, 31 Dec 2011 04:12:01 UTC

Owned by: Joseph Nahmias <joe@nahmias.net>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, joe@nahmias.net, debian-devel@lists.debian.org, webmaster@parallelrealities.co.uk, wnpp@debian.org:
Bug#653813; Package wnpp. (Sat, 31 Dec 2011 04:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joseph Nahmias <joe@nahmias.net>:
New Bug report received and forwarded. Copy sent to joe@nahmias.net, debian-devel@lists.debian.org, webmaster@parallelrealities.co.uk, wnpp@debian.org. (Sat, 31 Dec 2011 04:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joseph Nahmias <joe@nahmias.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: edgar -- The Legend of Edgar platform game
Date: Fri, 30 Dec 2011 23:09:37 -0500
Package: wnpp
Severity: wishlist
Owner: Joseph Nahmias <joe@nahmias.net>

* Package name    : edgar
  Version         : 0.94
  Upstream Author : Richard Sweeney <webmaster@parallelrealities.co.uk>
* URL             : http://www.parallelrealities.co.uk/p/legend-of-edgar.html
* License         : GPL2+
  Programming Lang: C
  Description     : The Legend of Edgar platform game

 The Legend of Edgar is a platform game where the hero must explore a vast
 world, find items, solve puzzles, defeat powerful enemies, complete
 mini-quests in order to save his father who has been kidnapped.
 .
 Includes support for joystick or joypad and configurable keyboard
 support.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Sat, 31 Dec 2011 11:06:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Sat, 31 Dec 2011 11:06:42 GMT) Full text and rfc822 format available.

Message #10 received at 653813@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Joseph Nahmias <joe@nahmias.net>, 653813@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Sat, 31 Dec 2011 11:54:53 +0100
[Message part 1 (text/plain, inline)]
On Fri, Dec 30, 2011 at 11:09:37PM -0500, Joseph Nahmias wrote:

> * Package name    : edgar
>   Version         : 0.94
>   Upstream Author : Richard Sweeney <webmaster@parallelrealities.co.uk>
> * URL             : http://www.parallelrealities.co.uk/p/legend-of-edgar.html
> * License         : GPL2+

Please note that not everything is GPL2+. The music is certainly not, it is in
fact not even distributable in non-free since most songs do not have any
license information, and some of them even lack copyright notices. Although I
believe all graphics has been created from scratch and is in fact covered by
the GPL, you should check it out to be sure. With Edgar, you can probably run
the game (maybe with minor tweaks) without music.

Other games from Parallel Realities have had this problem in the past;
Starfighter (music, some graphics), Blobwars 1 (music) and Blobwars 2 (music,
textures).

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Wed, 25 Jan 2012 17:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Sweeney <riksweeney@hotmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Wed, 25 Jan 2012 17:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 653813@bugs.debian.org (full text, mbox):

From: Richard Sweeney <riksweeney@hotmail.com>
To: <debian-devel@lists.debian.org>, <653813@bugs.debian.org>
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Wed, 25 Jan 2012 17:49:00 +0000
[Message part 1 (text/plain, inline)]
> * Package name    : edgar
>   Version         : 0.94
>   Upstream Author : Richard Sweeney <riksweeney@users.sourceforge.net>
> * URL             : http://www.parallelrealities.co.uk/p/legend-of-edgar.html
> * License         : GPL2+

>Please note that not everything is GPL2+. The music is certainly not, it is in
>fact not even distributable in non-free since most songs do not have any
>license information, and some of them even lack copyright notices. Although I
>believe all graphics has been created from scratch and is in fact covered by
>the GPL, you should check it out to be sure. With Edgar, you can probably run
>the game (maybe with minor tweaks) without music.

(Stumbled across this today)

The code is GPL and the gfx and data is CC BY-NC-SA 3.0. Removing the sound should
be quite straightforward. If you do want to add this game to Debian, let me know and I
can supply a patch for the latest release (0.97) to allow the game to run without sound.

Richard

 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Wed, 25 Jan 2012 23:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Wed, 25 Jan 2012 23:33:08 GMT) Full text and rfc822 format available.

Message #20 received at 653813@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Richard Sweeney <riksweeney@hotmail.com>
Cc: debian-devel@lists.debian.org, 653813@bugs.debian.org
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Thu, 26 Jan 2012 00:28:15 +0100
[Message part 1 (text/plain, inline)]
On Wed, Jan 25, 2012 at 05:49:00PM +0000, Richard Sweeney wrote:

> The code is GPL and the gfx and data is CC BY-NC-SA 3.0.

This is the first time I've heard a mention of a CC license. There is nothing
in the source tarball mentioning a Creative Commons license. If you really mean
it to be CC BY-NC-SA 3.0, you have to clearly specify that in the source and
binary packages you are distributing.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Thu, 26 Jan 2012 08:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Sweeney <riksweeney@hotmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Thu, 26 Jan 2012 08:00:05 GMT) Full text and rfc822 format available.

Message #25 received at 653813@bugs.debian.org (full text, mbox):

From: Richard Sweeney <riksweeney@hotmail.com>
To: <guus@debian.org>
Cc: <debian-devel@lists.debian.org>, <653813@bugs.debian.org>
Subject: RE: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Thu, 26 Jan 2012 07:57:50 +0000
[Message part 1 (text/plain, inline)]
> > The code is GPL and the gfx and data is CC BY-NC-SA 3.0.
> 
> This is the first time I've heard a mention of a CC license. There is nothing
> in the source tarball mentioning a Creative Commons license. If you really mean
> it to be CC BY-NC-SA 3.0, you have to clearly specify that in the source and
> binary packages you are distributing.
>

OK, what's the best approach for that? I've updated the readme in the doc directory to reflect that, so it'll be present in the source. Can I just include the same file in the binary release? The readme file is here:

http://legendofedgar.svn.sourceforge.net/viewvc/legendofedgar/trunk/doc/readme?revision=910&view=markup
 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Thu, 26 Jan 2012 09:30:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Thu, 26 Jan 2012 09:30:25 GMT) Full text and rfc822 format available.

Message #30 received at 653813@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Richard Sweeney <riksweeney@hotmail.com>
Cc: debian-devel@lists.debian.org, 653813@bugs.debian.org
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Thu, 26 Jan 2012 17:28:38 +0800
On Thu, Jan 26, 2012 at 3:57 PM, Richard Sweeney wrote:

> OK, what's the best approach for that? I've updated the readme in the doc
> directory to reflect that, so it'll be present in the source. Can I just
> include the same file in the binary release? The readme file is here:
>
> http://legendofedgar.svn.sourceforge.net/viewvc/legendofedgar/trunk/doc/readme?revision=910&view=markup

It would be much better if you could release things under a more
friendly license, how about CC-BY-SA? If not, what are your reasons
for that?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Thu, 26 Jan 2012 10:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Sweeney <riksweeney@hotmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Thu, 26 Jan 2012 10:03:08 GMT) Full text and rfc822 format available.

Message #35 received at 653813@bugs.debian.org (full text, mbox):

From: Richard Sweeney <riksweeney@hotmail.com>
To: <pabs@debian.org>
Cc: <debian-devel@lists.debian.org>, <653813@bugs.debian.org>
Subject: RE: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Thu, 26 Jan 2012 10:00:49 +0000
[Message part 1 (text/plain, inline)]
(Apologies if this top posts, sending from my phone)

The reason for choosing NC is because I don't want someone
selling something I'm giving away for nothing.
I take it there's no Debian compatible license
that allows me to do this?

> Date: Thu, 26 Jan 2012 17:28:38 +0800
> Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
> From: pabs@debian.org
> To: riksweeney@hotmail.com
> CC: debian-devel@lists.debian.org; 653813@bugs.debian.org
> 
> On Thu, Jan 26, 2012 at 3:57 PM, Richard Sweeney wrote:
> 
> > OK, what's the best approach for that? I've updated the readme in the doc
> > directory to reflect that, so it'll be present in the source. Can I just
> > include the same file in the binary release? The readme file is here:
> >
> > http://legendofedgar.svn.sourceforge.net/viewvc/legendofedgar/trunk/doc/readme?revision=910&view=markup
> 
> It would be much better if you could release things under a more
> friendly license, how about CC-BY-SA? If not, what are your reasons
> for that?
> 
> -- 
> bye,
> pabs
> 
> http://wiki.debian.org/PaulWise
 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Thu, 26 Jan 2012 10:21:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Thu, 26 Jan 2012 10:21:54 GMT) Full text and rfc822 format available.

Message #40 received at 653813@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Richard Sweeney <riksweeney@hotmail.com>
Cc: debian-devel@lists.debian.org, 653813@bugs.debian.org
Subject: RE: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Thu, 26 Jan 2012 18:17:02 +0800
[Message part 1 (text/plain, inline)]
On Thu, 2012-01-26 at 10:00 +0000, Richard Sweeney wrote:

> The reason for choosing NC is because I don't want someone
> selling something I'm giving away for nothing.
> I take it there's no Debian compatible license
> that allows me to do this?

That would go against items 5 and 6 of the DFSG:

http://www.debian.org/social_contract#guidelines

I find it weird that you would choose the GPL when you do not want
people selling your work. The GPL explicitly allows that.

PS: I'm not sure if you saw this message since it wasn't CCed to you:

http://lists.debian.org/20120125184055.GA19526@angband.pl

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Thu, 26 Jan 2012 10:27:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Thu, 26 Jan 2012 10:27:42 GMT) Full text and rfc822 format available.

Message #45 received at 653813@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Richard Sweeney <riksweeney@hotmail.com>
Cc: debian-devel@lists.debian.org, 653813@bugs.debian.org
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Thu, 26 Jan 2012 18:22:01 +0800
On Thu, Jan 26, 2012 at 3:57 PM, Richard Sweeney wrote:

> OK, what's the best approach for that? I've updated the readme in the doc
> directory to reflect that, so it'll be present in the source. Can I just
> include the same file in the binary release? The readme file is here:
>
> http://legendofedgar.svn.sourceforge.net/viewvc/legendofedgar/trunk/doc/readme?revision=910&view=markup

I notice you are using Sourceforge, I think your use of CC-BY-NC-SA is
a violation of their terms of service, so I suggest that you move off
Sourceforge or pick a license that doesn't have that problem.

https://geek.net/terms-of-use

-- 
bye,
pabs

http://wiki.debian.org/PaulWise




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Thu, 26 Jan 2012 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Sweeney <riksweeney@hotmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Thu, 26 Jan 2012 10:54:10 GMT) Full text and rfc822 format available.

Message #50 received at 653813@bugs.debian.org (full text, mbox):

From: Richard Sweeney <riksweeney@hotmail.com>
To: <pabs@debian.org>
Cc: <debian-devel@lists.debian.org>, <653813@bugs.debian.org>
Subject: RE: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Thu, 26 Jan 2012 10:51:17 +0000
[Message part 1 (text/plain, inline)]
(Last top post)

After some reading, I can probably just leave the assets under the current license. I can simply just change it back since it's currently not released?

> Date: Thu, 26 Jan 2012 18:22:01 +0800
> Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
> From: pabs@debian.org
> To: riksweeney@hotmail.com
> CC: debian-devel@lists.debian.org; 653813@bugs.debian.org
> 
> On Thu, Jan 26, 2012 at 3:57 PM, Richard Sweeney wrote:
> 
> > OK, what's the best approach for that? I've updated the readme in the doc
> > directory to reflect that, so it'll be present in the source. Can I just
> > include the same file in the binary release? The readme file is here:
> >
> > http://legendofedgar.svn.sourceforge.net/viewvc/legendofedgar/trunk/doc/readme?revision=910&view=markup
> 
> I notice you are using Sourceforge, I think your use of CC-BY-NC-SA is
> a violation of their terms of service, so I suggest that you move off
> Sourceforge or pick a license that doesn't have that problem.
> 
> https://geek.net/terms-of-use
> 
> -- 
> bye,
> pabs
> 
> http://wiki.debian.org/PaulWise
 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Thu, 26 Jan 2012 13:49:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Bagge / brother <brother@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Thu, 26 Jan 2012 13:49:49 GMT) Full text and rfc822 format available.

Message #55 received at 653813@bugs.debian.org (full text, mbox):

From: Martin Bagge / brother <brother@debian.org>
To: Richard Sweeney <riksweeney@hotmail.com>
Cc: pabs@debian.org, debian-devel@lists.debian.org, 653813@bugs.debian.org
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Thu, 26 Jan 2012 13:06:31 +0100
On 2012-01-26 11:51, Richard Sweeney wrote:
> After some reading, I can probably just leave the assets under the current license. I can simply just change it back since it's currently not released?

If "current" license is GPL and someone make a fork based on that your
license change in the future will not have an impact on the fork.
A "release" has no value when regarding what license the work is
available as.

There are several articles about the problem with CC NC licenses,
exactly what that means is not clear. Make sure to study the field
before picking anything based on NC.
Pick license and pick it wise.
-- 
brother
http://sis.bthstudent.se




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Thu, 26 Jan 2012 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Fungi <fungi@yuggoth.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Thu, 26 Jan 2012 16:30:03 GMT) Full text and rfc822 format available.

Message #60 received at 653813@bugs.debian.org (full text, mbox):

From: The Fungi <fungi@yuggoth.org>
To: debian-devel@lists.debian.org, 653813@bugs.debian.org
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Thu, 26 Jan 2012 16:27:06 +0000
On 2012-01-26 13:06:31 +0100 (+0100), Martin Bagge / brother wrote:
[...]
> There are several articles about the problem with CC NC licenses,
> exactly what that means is not clear. Make sure to study the field
> before picking anything based on NC.
> Pick license and pick it wise.

The historic quagmire with DikuMUD's license (and subsequent
inability of derivative software authors to be able to round up all
the original copyright holders for later relicensing) is a great
example:

http://en.wikipedia.org/wiki/DikuMUD#DikuMUD_license

The project was widely used and a fertile developer community
emerged around it back in the shareware days before proliferation of
more modern Free/Libre OSS licenses. Unfortunately, now, a vast
majority of the MUDsphere inherits that noncommercial license and is
thus legally incompatable with most current free software projects.
-- 
{ IRL(Jeremy_Stanley); WWW(http://fungi.yuggoth.org/); PGP(43495829);
WHOIS(STANL3-ARIN); SMTP(fungi@yuggoth.org); FINGER(fungi@yuggoth.org);
MUD(kinrui@katarsis.mudpy.org:6669); IRC(fungi@irc.yuggoth.org#ccl); }




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Fri, 27 Jan 2012 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Sweeney <riksweeney@hotmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Fri, 27 Jan 2012 19:03:05 GMT) Full text and rfc822 format available.

Message #65 received at 653813@bugs.debian.org (full text, mbox):

From: Richard Sweeney <riksweeney@hotmail.com>
To: <brother@debian.org>, <pabs@debian.org>, <debian-devel@lists.debian.org>, <653813@bugs.debian.org>
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Fri, 27 Jan 2012 18:58:26 +0000
[Message part 1 (text/plain, inline)]
>If "current" license is GPL and someone make a fork based on that your
>license change in the future will not have an impact on the fork.
>A "release" has no value when regarding what license the work is
>available as.

OK, I've left it as GPL. I've also added an archive with the sound and music
removed. It's called edgar-0.96-nosound.tar.gz and is at

https://sourceforge.net/projects/legendofedgar/files/0.96

Richard
 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Mon, 30 Jan 2012 11:57:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Mon, 30 Jan 2012 11:57:22 GMT) Full text and rfc822 format available.

Message #70 received at 653813@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Richard Sweeney <riksweeney@hotmail.com>
Cc: brother@debian.org, pabs@debian.org, debian-devel@lists.debian.org, 653813@bugs.debian.org
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Mon, 30 Jan 2012 12:54:54 +0100
[Message part 1 (text/plain, inline)]
On Fri, Jan 27, 2012 at 06:58:26PM +0000, Richard Sweeney wrote:

> 
> >If "current" license is GPL and someone make a fork based on that your
> >license change in the future will not have an impact on the fork.
> >A "release" has no value when regarding what license the work is
> >available as.
> 
> OK, I've left it as GPL. I've also added an archive with the sound and music
> removed. It's called edgar-0.96-nosound.tar.gz and is at
> 
> https://sourceforge.net/projects/legendofedgar/files/0.96

That's great, thanks!

I understand how hard is to get good sounds and music that fits your game. It
doesn't help that there a lot of sites that claim to have an archive of "free"
sound/music, when in fact a large part of the files they serve are not free at
all. The Creative Commons Sampling+ license is also extremely
counter-productive. Together with Astrid de Wijn and Hans de Goede, we have
found DFSG-compatible replacement music and sounds for Blobwars I, but it was a
lot of work (and there is still room for improvement). For Starfighter, I will
try to see how far I can get with abcmidi and csound to create both sound
effects and music, which can be recreated from real source files.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Fri, 26 Oct 2012 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guest One <theguestone@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Fri, 26 Oct 2012 07:03:03 GMT) Full text and rfc822 format available.

Message #75 received at 653813@bugs.debian.org (full text, mbox):

From: Guest One <theguestone@gmail.com>
To: 653813@bugs.debian.org
Date: Fri, 26 Oct 2012 09:00:06 +0200
[Message part 1 (text/plain, inline)]
Any news about the inclusion of The Legend Of Edgar in official Debian
repositories?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Fri, 05 Jul 2013 06:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Sweeney <riksweeney@hotmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Fri, 05 Jul 2013 06:54:04 GMT) Full text and rfc822 format available.

Message #80 received at 653813@bugs.debian.org (full text, mbox):

From: Richard Sweeney <riksweeney@hotmail.com>
To: "debian-devel@lists.debian.org" <debian-devel@lists.debian.org>, "653813@bugs.debian.org" <653813@bugs.debian.org>
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Fri, 5 Jul 2013 06:44:37 +0000
[Message part 1 (text/plain, inline)]
Hi,

I'm currently replacing the music and sound effects in The Legend of Edgar with media from opengameart.org. Currently, the media I'm using have the following licences

CC-BY 3.0
CC-BY-SA 3.0
GPL 3.0

Are these licences OK for Debian, or will the GPL 3.0 be an issue? I couldn't really find a clear answer on this one.

Thanks

Richard

 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Fri, 05 Jul 2013 07:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Fri, 05 Jul 2013 07:12:04 GMT) Full text and rfc822 format available.

Message #85 received at 653813@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Richard Sweeney <riksweeney@hotmail.com>
Cc: "debian-devel@lists.debian.org" <debian-devel@lists.debian.org>, "653813@bugs.debian.org" <653813@bugs.debian.org>
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Fri, 5 Jul 2013 15:09:51 +0800
On Fri, Jul 5, 2013 at 2:44 PM, Richard Sweeney wrote:

> I'm currently replacing the music and sound effects in The Legend of Edgar
> with media from opengameart.org. Currently, the media I'm using have the
> following licences
>
> CC-BY 3.0
> CC-BY-SA 3.0
> GPL 3.0
>
> Are these licences OK for Debian, or will the GPL 3.0 be an issue? I
> couldn't really find a clear answer on this one.

These licenses are OK for Debian.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Fri, 05 Jul 2013 17:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Sweeney <riksweeney@hotmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Fri, 05 Jul 2013 17:24:04 GMT) Full text and rfc822 format available.

Message #90 received at 653813@bugs.debian.org (full text, mbox):

From: Richard Sweeney <riksweeney@hotmail.com>
To: Paul Wise <pabs@debian.org>
Cc: "debian-devel@lists.debian.org" <debian-devel@lists.debian.org>, "653813@bugs.debian.org" <653813@bugs.debian.org>
Subject: RE: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Fri, 5 Jul 2013 17:15:12 +0000
[Message part 1 (text/plain, inline)]




> Date: Fri, 5 Jul 2013 15:09:51 +0800
> Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
> From: pabs@debian.org
> To: riksweeney@hotmail.com
> CC: debian-devel@lists.debian.org; 653813@bugs.debian.org
> 
> On Fri, Jul 5, 2013 at 2:44 PM, Richard Sweeney wrote:
> 
> > I'm currently replacing the music and sound effects in The Legend of Edgar
> > with media from opengameart.org. Currently, the media I'm using have the
> > following licences
> >
> > CC-BY 3.0
> > CC-BY-SA 3.0
> > GPL 3.0
> >
> > Are these licences OK for Debian, or will the GPL 3.0 be an issue? I
> > couldn't really find a clear answer on this one.
> 
> These licenses are OK for Debian.
> 
> -- 
> bye,
> pabs
> 
> http://wiki.debian.org/PaulWise

Great, thanks for your help!
 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Sat, 13 Jul 2013 08:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Sweeney <riksweeney@hotmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Sat, 13 Jul 2013 08:48:04 GMT) Full text and rfc822 format available.

Message #95 received at 653813@bugs.debian.org (full text, mbox):

From: Richard Sweeney <riksweeney@hotmail.com>
Cc: "debian-devel@lists.debian.org" <debian-devel@lists.debian.org>, "653813@bugs.debian.org" <653813@bugs.debian.org>
Subject: RE: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Sat, 13 Jul 2013 08:44:53 +0000
[Message part 1 (text/plain, inline)]
I have removed all the non-free sounds and music from the game now. The media I'm using, along with their licences and download origin, are in the file below (I won't paste the contents here, it's pretty long).

http://sourceforge.net/p/legendofedgar/code/1110/tree/branches/dfsg/doc/music_and_sound_licences

If someone could let me know if these look OK, I'd appreciate it.

Thanks

Richard
 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Sun, 21 Jul 2013 14:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Sun, 21 Jul 2013 14:36:04 GMT) Full text and rfc822 format available.

Message #100 received at 653813@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Joseph Nahmias <joe@nahmias.net>
Cc: 653813@bugs.debian.org
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Sun, 21 Jul 2013 16:32:42 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 13, 2013 at 08:44:53AM +0000, Richard Sweeney wrote:

> I have removed all the non-free sounds and music from the game now. The media I'm using, along with their licences and download origin, are in the file below (I won't paste the contents here, it's pretty long).
> 
> http://sourceforge.net/p/legendofedgar/code/1110/tree/branches/dfsg/doc/music_and_sound_licences

Rik just released version 1.10 with the new DFSG-compliant media. Joseph, are
you still intending to package it?

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#653813; Package wnpp. (Wed, 24 Jul 2013 15:27:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Joe Nahmias" <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Wed, 24 Jul 2013 15:27:14 GMT) Full text and rfc822 format available.

Message #105 received at 653813-quiet@bugs.debian.org (full text, mbox):

From: "Joe Nahmias" <joe@nahmias.net>
To: Guus Sliepen <guus@debian.org>
Cc: 653813-quiet@bugs.debian.org
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Wed, 24 Jul 2013 11:13:50 -0400
Hello Guus,

On Sun, Jul 21, 2013 at 04:32:42PM +0200, Guus Sliepen wrote:
> On Sat, Jul 13, 2013 at 08:44:53AM +0000, Richard Sweeney wrote:
> 
> > I have removed all the non-free sounds and music from the game now. The media I'm using, along with their licences and download origin, are in the file below (I won't paste the contents here, it's pretty long).
> > 
> > http://sourceforge.net/p/legendofedgar/code/1110/tree/branches/dfsg/doc/music_and_sound_licences
> 
> Rik just released version 1.10 with the new DFSG-compliant media. Joseph, are
> you still intending to package it?

Thanks for the link!

I am still interested in packaging edgar, especially now that the sound is
DFSG-free.  If you're interested as well, I'd love to have a
co-maintainer, or maybe involve the debian-games team and do the whole
thing on collab-maint.  Let me know what you think.

--Joe



Information stored :
Bug#653813; Package wnpp. (Wed, 24 Jul 2013 15:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 24 Jul 2013 15:36:09 GMT) Full text and rfc822 format available.

Message #110 received at 653813-quiet@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Joe Nahmias <joe@nahmias.net>
Cc: 653813-quiet@bugs.debian.org
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Wed, 24 Jul 2013 17:33:43 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jul 24, 2013 at 11:13:50AM -0400, Joe Nahmias wrote:

> > Rik just released version 1.10 with the new DFSG-compliant media. Joseph, are
> > you still intending to package it?
> 
> I am still interested in packaging edgar, especially now that the sound is
> DFSG-free.  If you're interested as well, I'd love to have a
> co-maintainer, or maybe involve the debian-games team and do the whole
> thing on collab-maint.  Let me know what you think.

The Games team always recommends doing games packages on collab-maint, and I
don't see any drawbacks in that. I've already packages some Parallel Realities
games, so I'll be happy to help out.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#653813; Package wnpp. (Mon, 24 Mar 2014 07:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Sweeney <riksweeney@hotmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Mon, 24 Mar 2014 07:36:04 GMT) Full text and rfc822 format available.

Message #115 received at 653813@bugs.debian.org (full text, mbox):

From: Richard Sweeney <riksweeney@hotmail.com>
To: "653813@bugs.debian.org" <653813@bugs.debian.org>
Subject: Re: Bug#653813: ITP: edgar -- The Legend of Edgar platform game
Date: Mon, 24 Mar 2014 07:22:51 +0000
[Message part 1 (text/plain, inline)]
Hi,

I was wondering if there is any interest in packaging this game for Debian? The game is fairly  mature now and mostly receives translation updates. If there is anything that needs changing then let me know.

Richard

 		 	   		  
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:27:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.